Subject: Re: Potential bug: truncated diff output

From: David Kastrup <[email-masked]>
Date: Thu, 16 Jan 2014 08:04:20 +0100

Johannes Sixt <[email-masked]> writes:

> Am 1/16/2014 7:19, schrieb Misha Penkov:
>> I have a file in a git repo. It has changed during the last two
>> commits. I want to see the changes made in these two commits. The
>> following command should work:
>> 
>>     git diff HEAD^^
>
> Here, you revert the change...
>
> ... that you made here.
>
> Unsurprisingly, the net effect is no change in that area -- and git diff
> tells you exactly that.

Looks like I should have looked into the diffs before making my guess
about what happened.

-- 
David Kastrup